=== debian/changelog ===
nohang (0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Jun 2020 21:45:35 -0400

nohang (0.1-1) unstable; urgency=medium

  * Initial Release

 -- Yangfl <mmyangfl@gmail.com>  Sat, 04 Apr 2020 13:37:56 +0800
