=== debian/control ===
Source: nohang
Maintainer: Yangfl <mmyangfl@gmail.com>
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/yangfl-guest/nohang
Vcs-Git: https://salsa.debian.org/yangfl-guest/nohang.git
Homepage: https://github.com/hakavlad/nohang

Package: nohang
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 libnotify-bin,
 sudo,
Description: sophisticated low memory handler for Linux
 nohang is a highly configurable daemon for Linux which is able to correctly
 prevent out of memory (OOM) and keep system responsiveness in low memory
 conditions.
