=== debian/changelog ===
nohang (0.2.0-3) unstable; urgency=medium

  * Make the use of notify-send / sudo conditional (Closes: #1088276)
  * Recommend libnotify-bin / sudo
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Fri, 07 Mar 2025 22:27:01 +0800

nohang (0.2.0-2) unstable; urgency=medium

  * Ack NMU.
  * Bump standards version to 4.7.0.
  * Apply upstream fix for DeprecationWarning. (LP: #2049206)
  * d/rules: fix path. (Closes: #1073732)

 -- Alex Myczko <tar@debian.org>  Mon, 01 Jul 2024 09:12:42 +0000

nohang (0.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:28:45 +0200

nohang (0.2.0-1) unstable; urgency=medium

  * New upstream version (Closes: #979207)
    - Fix SyntaxWarning (Closes: #976005)

  [ Gürkan Myczko ]
  * Bump debhelper mode to 13.
  * d/copyright: update years.
  * d/control: add myself as co-maintainer.
  * d/lintian-overrides: dropped.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 17:01:33 +0800
