=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nohang
 Maintainer: Yangfl <mmyangfl@gmail.com>
+Uploaders: Alex Myczko <tar@debian.org>
 Section: admin
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/nohang
 Vcs-Git: https://salsa.debian.org/yangfl-guest/nohang.git
 Homepage: https://github.com/hakavlad/nohang
@@ -19,7 +20,7 @@
  ${python3:Depends},
 Pre-Depends:
  ${misc:Pre-Depends},
-Suggests:
+Recommends:
  libnotify-bin,
  sudo,
 Description: sophisticated low memory handler for Linux
