=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,6 @@
 
 %:
 	dh $@ --with python3
+
+override_dh_auto_install:
+	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/etc SYSTEMDUNITDIR=/usr/lib/systemd/system
