=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nohang-$1.tar.gz%" \
   https://github.com/hakavlad/nohang/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
