## nohang 0.3.0

=== debian/changelog ===
nohang (0.3.0-3) unstable; urgency=medium

  * d/nohang-desktop.service: added to d/examples.
  * d/init: renamed to init.disabled.
  * d/README.Debian: added.

 -- Alex Myczko <tar@debian.org>  Sun, 18 Jan 2026 10:06:48 +0100

nohang (0.3.0-2) unstable; urgency=medium

  * d/version: added.
  * d/nohang.postrm: added.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Jan 2026 18:59:01 +0100

nohang (0.3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - drop Rules-Requires-Root.
    - Depends/Build-Depends: add ucf.
  * d/watch: update to version 5.
  * d/copyright: bump years.
  * d/manpages: added.
  * d/docs: added.
  * d/clean: added.
  * d/nohang.service: added.
  * d/nohang.postinst: added.
  * d/nohang.dirs: added.

 -- Alex Myczko <tar@debian.org>  Sun, 11 Jan 2026 10:06:23 +0100
