=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  dh-python,
  python3,
-Rules-Requires-Root: no
+ ucf,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/nohang
 Vcs-Git: https://salsa.debian.org/yangfl-guest/nohang.git
@@ -18,6 +18,7 @@
 Depends:
  ${misc:Depends},
  ${python3:Depends},
+ ucf,
 Pre-Depends:
  ${misc:Pre-Depends},
 Recommends:
