=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with python3

override_dh_auto_configure:
	cp systemd/nohang.service.in systemd/nohang.service

override_dh_auto_install:
	@echo moo
#	dh_auto_install -- PREFIX=/usr SYSCONFDIR=/etc SYSTEMDUNITDIR=/usr/lib/systemd/system
